Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.Designer.cs	(revision 389)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.Designer.cs	(revision 390)
@@ -53,6 +53,8 @@
             this.btnDataEntry = new System.Windows.Forms.Button();
             this.btnTargetOut = new System.Windows.Forms.Button();
             this.button1 = new System.Windows.Forms.Button();
+            this.btnAllSelect = new System.Windows.Forms.Button();
+            this.lblCellTotal = new System.Windows.Forms.Label();
             this.groupBox2 = new ProcessManagement.Forms.CustomControls.GroupBoxEx();
             this.dgvAllDisplay = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.dataGridViewTextBoxColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -70,7 +72,6 @@
             this.Column11 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column12 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column13 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.btnAllSelect = new System.Windows.Forms.Button();
             this.panel1.SuspendLayout();
             this.groupBox2.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).BeginInit();
@@ -310,6 +311,31 @@
             this.button1.UseVisualStyleBackColor = true;
             this.button1.Visible = false;
             // 
+            // btnAllSelect
+            // 
+            this.btnAllSelect.BackColor = System.Drawing.Color.LightGreen;
+            this.btnAllSelect.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnAllSelect.ForeColor = System.Drawing.Color.Black;
+            this.btnAllSelect.Location = new System.Drawing.Point(926, 656);
+            this.btnAllSelect.Name = "btnAllSelect";
+            this.btnAllSelect.Size = new System.Drawing.Size(120, 30);
+            this.btnAllSelect.TabIndex = 98;
+            this.btnAllSelect.Text = "作成中一括選択";
+            this.btnAllSelect.UseVisualStyleBackColor = false;
+            this.btnAllSelect.Click += new System.EventHandler(this.btnAllSelect_Click);
+            // 
+            // lblCellTotal
+            // 
+            this.lblCellTotal.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.lblCellTotal.AutoSize = true;
+            this.lblCellTotal.BackColor = System.Drawing.Color.Transparent;
+            this.lblCellTotal.Font = new System.Drawing.Font("ＭＳ Ｐ明朝", 9.75F, System.Drawing.FontStyle.Bold);
+            this.lblCellTotal.ForeColor = System.Drawing.Color.White;
+            this.lblCellTotal.Location = new System.Drawing.Point(180, 665);
+            this.lblCellTotal.Name = "lblCellTotal";
+            this.lblCellTotal.Size = new System.Drawing.Size(0, 13);
+            this.lblCellTotal.TabIndex = 99;
+            // 
             // groupBox2
             // 
             this.groupBox2.BackColor = System.Drawing.Color.WhiteSmoke;
@@ -368,6 +394,7 @@
             this.dgvAllDisplay.Size = new System.Drawing.Size(1310, 458);
             this.dgvAllDisplay.TabIndex = 2;
             this.dgvAllDisplay.CellClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvAllDisplay_CellClick);
+            this.dgvAllDisplay.MouseUp += new System.Windows.Forms.MouseEventHandler(this.dgvAllDisplay_MouseUp);
             // 
             // dataGridViewTextBoxColumn1
             // 
@@ -512,19 +539,6 @@
             this.Column13.Name = "Column13";
             this.Column13.Visible = false;
             // 
-            // btnAllSelect
-            // 
-            this.btnAllSelect.BackColor = System.Drawing.Color.LightGreen;
-            this.btnAllSelect.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnAllSelect.ForeColor = System.Drawing.Color.Black;
-            this.btnAllSelect.Location = new System.Drawing.Point(926, 656);
-            this.btnAllSelect.Name = "btnAllSelect";
-            this.btnAllSelect.Size = new System.Drawing.Size(120, 30);
-            this.btnAllSelect.TabIndex = 98;
-            this.btnAllSelect.Text = "作成中一括選択";
-            this.btnAllSelect.UseVisualStyleBackColor = false;
-            this.btnAllSelect.Click += new System.EventHandler(this.btnAllSelect_Click);
-            // 
             // FrmOrderEntryList
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -531,6 +545,7 @@
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
             this.BackColor = System.Drawing.Color.Black;
             this.ClientSize = new System.Drawing.Size(1344, 692);
+            this.Controls.Add(this.lblCellTotal);
             this.Controls.Add(this.btnAllSelect);
             this.Controls.Add(this.button1);
             this.Controls.Add(this.btnTargetOut);
@@ -552,6 +567,7 @@
             this.groupBox2.ResumeLayout(false);
             ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).EndInit();
             this.ResumeLayout(false);
+            this.PerformLayout();
 
         }
 
@@ -594,5 +610,6 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column12;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column13;
         private System.Windows.Forms.Button btnAllSelect;
+        private System.Windows.Forms.Label lblCellTotal;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.cs	(revision 389)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.cs	(revision 390)
@@ -177,7 +177,7 @@
         /// 終了ボタン状態
         /// </summary>
         private DialogResult m_ComplateFlg = DialogResult.Cancel;
-        
+
         /// <summary>
         /// 参照フラグ
         /// </summary>
@@ -296,7 +296,7 @@
                     this.Close();
                     return;
                 }
-                
+
                 // 表示コントロールオブジェクト取得
                 SetDisplayObject();
 
@@ -441,5 +441,50 @@
             MakingDataAllSelect();
         }
         #endregion
+
+        #region グリッドマウスアップ
+        /// <summary>
+        /// グリッドマウスアップ
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvAllDisplay_MouseUp(object sender, MouseEventArgs e)
+        {
+            try
+            {
+                DataGridViewEX dgv = (DataGridViewEX)sender;
+
+                // 該当ラベルをセット
+                lblCellTotal.Text = string.Empty;
+
+                double dTotal = 0;
+                int DataCnt = 0;
+                int NumericCnt = 0;
+                foreach (DataGridViewCell c in dgv.SelectedCells)
+                {
+                    if (CommonMotions.chkObjectIsNull(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex])) continue;
+                    if (CommonMotions.chkCellBlank(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value)) continue;
+
+                    //Console.WriteLine("{0}, {1}", c.ColumnIndex, c.RowIndex);
+                    DataCnt++;
+                    dTotal += CommonMotions.cnvDouble(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value);
+                    if (CommonMotions.chkNumeric(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value)) NumericCnt++;
+                }
+                if (DataCnt <= 1 || dTotal == 0 || NumericCnt == 0) return;
+                string strTotal = CommonMotions.cnvTruncate(dTotal).ToString("#,#");
+                if (dTotal - System.Math.Floor(dTotal) != 0) strTotal = dTotal.ToString("#,#.00");
+
+                string strwrkData = string.Format(CommonDefine.s_CalculateCellFormat,
+                                                    CommonMotions.cnvTruncate(dTotal / (double)NumericCnt).ToString("#,#"),
+                                                    DataCnt.ToString("#,#"),
+                                                    strTotal);
+                lblCellTotal.Text = strwrkData;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 389)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 390)
@@ -656,6 +656,8 @@
 
                 int Linecnt = 0;
                 double TotalPrice = 0;
+                int nSourceCode = 0;
+                int nSourceLine = 0;
                 DataGridViewEX dgv = inputpage.Group1DataGridView;
                 foreach (ConstructionLedgerDetail DetailRec in DetailList)
                 {
@@ -682,9 +684,11 @@
                     CurRow.Cells[(int)DispDetailGridColumn.PriceValue].Value = DetailRec.ExecutionAmount.ToString("#,0");
                     // 元工事番号
                     CurRow.Cells[(int)DispDetailGridColumn.SourceCode].Value = DetailRec.ConstructionCode;
+                    nSourceCode = DetailRec.ConstructionCode;
                     TotalPrice += DetailRec.ExecutionAmount;
                     // 工事台帳行
                     CurRow.Cells[(int)DispDetailGridColumn.LedgerDetailNo].Value = DetailRec.DetailCount;
+                    nSourceLine = DetailRec.DetailCount;
                     // 予算書金額
                     CurRow.Cells[(int)DispDetailGridColumn.BudgetValue].Value = DetailRec.ExecutionAmount;
                     // 前回入力値金額
@@ -695,7 +699,7 @@
                     Linecnt++;
                 }
                 // 法定福利費セット
-                if (!SetStatutoryWelfare(inputpage, Linecnt, TotalPrice)) return false;
+                if (!SetStatutoryWelfare(inputpage, Linecnt, TotalPrice, nSourceCode, nSourceLine)) return false;
 
                 // 支払条件の初期設定
                 if (!GetConstructionTypeToExecNo())
@@ -731,7 +735,11 @@
         /// 法定福利費セット
         /// </summary>
         /// <returns></returns>
-        private bool SetStatutoryWelfare(PurchaseOrderInputPage inputpage, int Linecnt, double TotalPrice)
+        private bool SetStatutoryWelfare(PurchaseOrderInputPage inputpage
+                                        , int Linecnt
+                                        , double TotalPrice
+                                        , int nSourceCode
+                                        , int nSourceLine)
         {
             DataGridViewEX dgv = inputpage.Group1DataGridView;
             try
@@ -758,8 +766,12 @@
                 CurRow.Cells[(int)DispDetailGridColumn.UnitName].Value = "式";
                 // 金額
                 CurRow.Cells[(int)DispDetailGridColumn.PriceValue].Value = WelfareValue.ToString("#,0");
+
                 // 元工事番号
                 CurRow.Cells[(int)DispDetailGridColumn.SourceCode].Value = 0;
+                // 工事台帳行
+                CurRow.Cells[(int)DispDetailGridColumn.LedgerDetailNo].Value = 0;
+
                 // データタイプ
                 CurRow.Cells[(int)DispDetailGridColumn.DataType].Value = (int)PurchaseOrderDetail.DataTypeFlagDef.StatutoryWelfare;
                 // 法定福利費率
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.Designer.cs	(revision 389)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.Designer.cs	(revision 390)
@@ -69,6 +69,7 @@
             this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column2 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
+            this.lblCellTotal = new System.Windows.Forms.Label();
             this.panel1.SuspendLayout();
             this.groupBox2.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).BeginInit();
@@ -431,6 +432,7 @@
             this.dgvAllDisplay.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
             this.dgvAllDisplay.Size = new System.Drawing.Size(1310, 405);
             this.dgvAllDisplay.TabIndex = 2;
+            this.dgvAllDisplay.MouseUp += new System.Windows.Forms.MouseEventHandler(this.dgvAllDisplay_MouseUp);
             // 
             // dataGridViewTextBoxColumn1
             // 
@@ -508,6 +510,18 @@
             this.Column2.HeaderText = "印刷";
             this.Column2.Name = "Column2";
             // 
+            // lblCellTotal
+            // 
+            this.lblCellTotal.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.lblCellTotal.AutoSize = true;
+            this.lblCellTotal.BackColor = System.Drawing.Color.Transparent;
+            this.lblCellTotal.Font = new System.Drawing.Font("ＭＳ Ｐ明朝", 9.75F, System.Drawing.FontStyle.Bold);
+            this.lblCellTotal.ForeColor = System.Drawing.Color.White;
+            this.lblCellTotal.Location = new System.Drawing.Point(180, 665);
+            this.lblCellTotal.Name = "lblCellTotal";
+            this.lblCellTotal.Size = new System.Drawing.Size(0, 13);
+            this.lblCellTotal.TabIndex = 100;
+            // 
             // FrmPurchaseOrderPrint
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -514,6 +528,7 @@
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
             this.BackColor = System.Drawing.Color.Black;
             this.ClientSize = new System.Drawing.Size(1344, 692);
+            this.Controls.Add(this.lblCellTotal);
             this.Controls.Add(this.lblNoLook);
             this.Controls.Add(this.btnCancel);
             this.Controls.Add(this.btnPrint);
@@ -576,5 +591,6 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.DataGridViewCheckBoxColumn Column2;
+        private System.Windows.Forms.Label lblCellTotal;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.cs	(revision 389)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.cs	(revision 390)
@@ -636,5 +636,49 @@
         }
         #endregion
 
+        #region グリッドマウスアップ
+        /// <summary>
+        /// グリッドマウスアップ
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvAllDisplay_MouseUp(object sender, MouseEventArgs e)
+        {
+            try
+            {
+                DataGridViewEX dgv = (DataGridViewEX)sender;
+
+                // 該当ラベルをセット
+                lblCellTotal.Text = string.Empty;
+
+                double dTotal = 0;
+                int DataCnt = 0;
+                int NumericCnt = 0;
+                foreach (DataGridViewCell c in dgv.SelectedCells)
+                {
+                    if (CommonMotions.chkObjectIsNull(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex])) continue;
+                    if (CommonMotions.chkCellBlank(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value)) continue;
+
+                    //Console.WriteLine("{0}, {1}", c.ColumnIndex, c.RowIndex);
+                    DataCnt++;
+                    dTotal += CommonMotions.cnvDouble(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value);
+                    if (CommonMotions.chkNumeric(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value)) NumericCnt++;
+                }
+                if (DataCnt <= 1 || dTotal == 0 || NumericCnt == 0) return;
+                string strTotal = CommonMotions.cnvTruncate(dTotal).ToString("#,#");
+                if (dTotal - System.Math.Floor(dTotal) != 0) strTotal = dTotal.ToString("#,#.00");
+
+                string strwrkData = string.Format(CommonDefine.s_CalculateCellFormat,
+                                                    CommonMotions.cnvTruncate(dTotal / (double)NumericCnt).ToString("#,#"),
+                                                    DataCnt.ToString("#,#"),
+                                                    strTotal);
+                lblCellTotal.Text = strwrkData;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.cs	(revision 389)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.cs	(revision 390)
@@ -282,10 +282,21 @@
                 // オブジェクト取得
                 SetDisplayObject();
 
+                groupBoxEx2.Visible = true;
+                if (CommonMotions.SystemMasterData.SloganString1.Length < 1
+                    && CommonMotions.SystemMasterData.SloganString2.Length < 1
+                    && CommonMotions.SystemMasterData.SloganString3.Length < 1)
+                {
+                    groupBoxEx2.Visible = false;
+                }
+
                 // 初期データ表示
-                m_dispLabelControl[(int)DispControl.Slogan].Text = CommonMotions.SystemMasterData.SloganString1 + "\n";
-                m_dispLabelControl[(int)DispControl.Slogan].Text += CommonMotions.SystemMasterData.SloganString2 + "\n";
-                m_dispLabelControl[(int)DispControl.Slogan].Text += CommonMotions.SystemMasterData.SloganString3 + "\n";
+                StringBuilder strDispMsg = new StringBuilder();
+                strDispMsg.AppendFormat("{0}\r\n{1}\r\n{2}", CommonMotions.SystemMasterData.SloganString1
+                                                            , CommonMotions.SystemMasterData.SloganString2
+                                                            , CommonMotions.SystemMasterData.SloganString3);
+                m_dispLabelControl[(int)DispControl.Slogan].Text = strDispMsg.ToString();
+
                 // ユーザーへフォーカスセット
                 ActiveControl = m_dispLabelControl[(int)DispControl.UserID];
             }
